package com.agilex.vamf.missionhealth.domain;

import java.util.Collection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/** A collection of {@link com.agilex.vamf.missionhealth.domain.MissionHealthDetail} objects */
@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "missionHealthDetails", namespace = Namespace.MissionHealth)
public class MissionHealthDetails extends DomainTransferObjectCollection<MissionHealthDetail> {

	private static final long serialVersionUID = 4515834212620666621L;
	
	public MissionHealthDetails() {}

	public MissionHealthDetails(MissionHealthDetail... missionHealthDetails) {
		for(int i = 0; i < missionHealthDetails.length; i++) {
			this.add(missionHealthDetails[i]);
		}
	}
	@XmlElement(namespace = Namespace.MissionHealth)
	public Collection<MissionHealthDetail> getMissionHealthDetail() {
		return this;
	}
	
}
